import {NgModule} from "@angular/core";
import {RouterModule} from "@angular/router";
import {PreviousRouteRecorder} from "../openaireLibrary/utils/piwik/previousRouteRecorder.guard";
import {ExploreSdgComponent} from "./sdg.component";

@NgModule({
	imports: [
		RouterModule.forChild([
			{
				path: '',
				component: ExploreSdgComponent,
				canDeactivate: [PreviousRouteRecorder]
			}
		])
	]
})
export class LibSdgRoutingModule { }